package ovh.herisson.thevoidroad;

import org.bukkit.plugin.java.JavaPlugin;

import ovh.herisson.thevoidroad.Commands.VoidCommands;
import ovh.herisson.thevoidroad.Entity.Merchand;
import ovh.herisson.thevoidroad.Event.HourEvent;

public class TheVoidRoad extends JavaPlugin{

	public static String CoinGlyph = "Ⓥ"; // Ɣ, √, ▼, Ṿ, ṿ
	public static final DatabaseManager db = DatabaseManager.getInstance();
	public static TheVoidRoad instance;

	public TheVoidRoad(){
		super();
		instance = this;
	}

	@Override
	public void onEnable(){

		saveResource("materials.txt", false);

		//Commands
		getCommand("void").setExecutor(new VoidCommands());
		getCommand("void").setTabCompleter(new VoidCommands());

		//Events
		getServer().getPluginManager().registerEvents(new HourEvent(), this); //For HourEvent
		getServer().getPluginManager().registerEvents(Merchand.getInstance(), this);
		getServer().getPluginManager().registerEvents(new Voids(), this);
	}

	@Override
	public void onDisable(){
		db.close();
	}
}
